# Uses of Interface
com.sun.net.httpserver.HttpHandler

Packages that use HttpHandler
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of HttpHandler in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return HttpHandler
Modifier and Type
Method
Description
`abstract HttpHandler`
HttpContext.`getHandler()`
Returns the handler for this context.
Methods in com.sun.net.httpserver with parameters of type HttpHandler
Modifier and Type
Method
Description
`abstract HttpContext`
HttpServer.`createContext(String path, HttpHandler handler)`
Creates a `HttpContext`.
`abstract void`
HttpContext.`setHandler(HttpHandler handler)`
Sets the handler for this context, if not already set.
Constructors in com.sun.net.httpserver with parameters of type HttpHandler
Modifier
Constructor
Description
``
`Chain(List<Filter> filters, HttpHandler handler)`
Creates a `Chain` instance with given filters and handler.